CREATE procedure [C6Staging].[RP_ST_AnEmittente] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AnEmittente',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_AnEmittente
	insert into c6staging.RP_AnEmittente (
	 [Emittente]
      ,[Descrizione] )
	select 
	 [Emittente]
     ,[Descrizione]
	  from [CONSUNI].CatalogoProdotti.dbo.AnEmittente
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AnEmittente' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AnEmittente'
		)
end